<h4>Driver Feedback</h4>
<div class="row">
  <div class="outer-container">
    <div class="row p10">
      <div class="col-md-12 vehicle-detail">
        <!--<span class="label">Driver Input</span>-->
        <!--<div class="app-input" *ngIf="driverFeedback.driverFeedBack && driverFeedback.driverFeedBack !== null">
            <img [src]="(!driverFeedback.driverFeedBack.ac || driverFeedback.driverFeedBack.ac === 'working' ) ? '../../../assets/driver-feedback/ac_unchecked.png' :
          '../../../assets/driver-feedback/ac_checked.png'">
            <img [src]="(!driverFeedback.driverFeedBack.engine || driverFeedback.driverFeedBack.engine === 'working' ) ? '../../../assets/driver-feedback/engine_unchecked.png' : '../../../assets/driver-feedback/engine_checked.png'">
            <img [src]="(!driverFeedback.driverFeedBack.braking || driverFeedback.driverFeedBack.braking === 'working' ) ? '../../../assets/driver-feedback/braking_unchecked.png' : '../../../assets/driver-feedback/braking_checked.png'">
            <img [src]="(!driverFeedback.driverFeedBack.steering || driverFeedback.driverFeedBack.steering === 'working' ) ? '../../../assets/driver-feedback/steering_unchecked.png' : '../../../assets/driver-feedback/steering_checked.png'">
            <img [src]="(!driverFeedback.driverFeedBack.suspension || driverFeedback.driverFeedBack.suspension === 'working' ) ? '../../../assets/driver-feedback/suspension_unchecked.png' : '../../../assets/driver-feedback/suspension_checked.png'">
            <img [src]="(!driverFeedback.driverFeedBack.transmission || driverFeedback.driverFeedBack.transmission === 'working' ) ? '../../../assets/driver-feedback/transmission_unchecked.png' : '../../../assets/driver-feedback/transmission_checked.png'">
        </div>-->
        <div *ngIf="!feedBackNotFoundUrl" class="legend-main-grid MB10">
          <div class="legend-main-grid">
            <div class="legand-container" style="margin-right: 88px">
              <span class="legend-text">OK</span>
              <span class="legend-gird feedback-success"></span>
            </div>
          </div>
          <div class="legend-main-grid">
            <div class="legand-container">
              <span class="legend-text">Problem Reported</span>
              <span class="legend-gird warning-background"></span>
            </div>
          </div>
        </div>

        <div class="driver-input">
          <div class="main-grid" *ngIf="acUrl">
            <span class="img-grid" [ngClass]="acNotWorking ? 'feedback-warning' : 'feedback-success'" [matTooltip]="acNotWorking ? 'AC problem' : ''" matTooltipPosition="above"><img [src]="acUrl"></span>
            <span class="img-text">AC</span>
          </div>
          <div class="main-grid" *ngIf="batteryUrl">
            <span class="img-grid" [ngClass]="batteryNotWorking ? 'feedback-warning' : 'feedback-success'" [matTooltip]="batteryNotWorking ? 'Battery problem' : ''" matTooltipPosition="above"><img [src]="batteryUrl"></span>
            <span class="img-text">Battery</span>
          </div>
          <div class="main-grid" *ngIf="brakingUrl">
            <span class="img-grid" [ngClass]="brakingNotWorking ? 'feedback-warning' : 'feedback-success'" [matTooltip]="brakingNotWorking ? 'Braking problem' : ''" matTooltipPosition="above"><img [src]="brakingUrl"></span>
            <span class="img-text">Braking</span>
          </div>
          <div class="main-grid" *ngIf="engineUrl">
            <span class="img-grid" [ngClass]="engineNotWorking ? 'feedback-warning' : 'feedback-success'" [matTooltip]="engineNotWorking ? 'Engine problem' : ''" matTooltipPosition="above"><img [src]="engineUrl"></span>
            <span class="img-text">Engine</span>
          </div>
          <div class="main-grid" *ngIf="headLampsUrl">
            <span class="img-grid" [ngClass]="headLampsNotWorking ? 'feedback-warning' : 'feedback-success'" [matTooltip]="headLampsNotWorking ? 'Headlamps problem' : ''" matTooltipPosition="above"><img [src]="headLampsUrl"></span>
            <span class="img-text">Headlamps</span>
          </div>
          <div class="main-grid" *ngIf="steeringUrl">
            <span class="img-grid" [ngClass]="steeringNotWorking ? 'feedback-warning' : 'feedback-success'" [matTooltip]="steeringNotWorking ? 'Steering problem' : ''" matTooltipPosition="below"><img [src]="steeringUrl"></span>
            <span class="img-text">Steering</span>
          </div>
          <div class="main-grid" *ngIf="suspensionUrl">
            <span class="img-grid" [ngClass]="suspensionNotWorking ? 'feedback-warning' : 'feedback-success'" [matTooltip]="suspensionNotWorking ? 'Suspension problem' : ''" matTooltipPosition="below"><img [src]="suspensionUrl"></span>
            <span class="img-text">Suspension</span>
          </div>
          <div class="main-grid" *ngIf="transmissionUrl">
            <span class="img-grid" [ngClass]="transmissionNotWorking ? 'feedback-warning' : 'feedback-success'" [matTooltip]="transmissionNotWorking ? 'Transmission problem' : ''" matTooltipPosition="below"><img [src]="transmissionUrl"></span>
            <span class="img-text">Transmission</span>
          </div>
          <div class="main-grid" *ngIf="wheelAlignmentUrl">
            <span class="img-grid" [ngClass]="wheelAlignmentNotWorking ? 'feedback-warning' : 'feedback-success'" [matTooltip]="wheelAlignmentNotWorking ? 'Wheel Alignment problem' : ''" matTooltipPosition="below"><img [src]="wheelAlignmentUrl"></span>
            <span class="img-text">Wheel Alignment</span>
          </div>
          <div class="main-grid" *ngIf="wheelVibrationUrl">
            <span class="img-grid" [ngClass]="wheelVibrationNotWorking ? 'feedback-warning' : 'feedback-success'" [matTooltip]="wheelVibrationNotWorking ? 'Wheel Vibration problem' : ''" matTooltipPosition="below"><img [src]="wheelVibrationUrl"></span>
            <span class="img-text">Wheel Vibration</span>
          </div>
        </div>

        <div *ngIf="feedBackNotFoundUrl">
          <div class="vehicle-detail uvis-detail">
            <span class="value">No Feedback</span>
            <img class="check" [src]="feedBackNotFoundUrl">
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
